$flag-icon-css-path: '~flag-icon-css/flags' !default;
$flag-icon-rect-path: '/4x3' !default;
$flag-icon-square-path: '/1x1' !default;

@import '~flag-icon-css/sass/variables';
@import '~flag-icon-css/sass/flag-icon-base';

@include flag-icon(us);
@include flag-icon(de);
@include flag-icon(fr);
@include flag-icon(es);
@include flag-icon(ru);

#layout-header {
  border-bottom: 8px solid transparent;

  //position: fixed;
  //top: 0;
  width: 100%;
  //z-index: 1000;

  line-height: 1rem;

  background-color: $black;

  height: 60px;

  a,
  .cursor-pointer {
    color: $light;

    &.active {
      color: $link-color;
    }
  }

  a:hover,
  .cursor-pointer:hover {
    color: $link-color;
    text-decoration: none;
  }

  .hover-grayer:hover {
    background-color: $gray-3 !important;
  }

  .webig-bar-burger {
    img {
      width: 20px;
      height: 20px;

      @extend .m-1;
    }
  }

  .webig-bar {
    img {
      @extend .m-1;

      transition: 0.1s ease-in-out;
      -moz-transition: 0.1s ease-in-out;
      -webkit-transition: 0.1s ease-in-out;
      -ms-transition: 0.1s ease-in-out;
    }

    img:hover {
      transform: scale(1.2);
      -moz-transform: scale(1.2);
      -webkit-transform: scale(1.2);
      -ms-transform: scale(1.2);
    }
  }

  .children-mr-2-not-last {
    .child:not(:last-child) {
      @extend .mr-2;
    }
  }

  .children-mb-2-last {
    .child:last-child {
      @extend .mb-2;
    }
  }

  .children-mt-2-first {
    .child:first-child {
      @extend .mt-2;
    }
  }
}
